import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { QuizService } from '../../../shared/service/quiz.service';
import { SummaryData, SummaryDetails, TestData, EmailTemplate, SummaryDisplayTypes } from '../../../shared/models';
export declare class SummaryComponent implements OnInit, OnChanges {
    private quizService;
    currentPage: number;
    pageLoader: boolean;
    preferredTextFormat: number;
    itemResponseDataHeader: SummaryDetails;
    itemResponseData: SummaryData[];
    SummaryDisplayTypes: typeof SummaryDisplayTypes;
    pageChanged: EventEmitter<any>;
    reportContentError: EventEmitter<any>;
    sendReportContentError: EventEmitter<any>;
    testData: TestData;
    summaryDetails: SummaryData;
    templateData: EmailTemplate;
    mailSuccessData: number;
    constructor(quizService: QuizService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    paginationChanged(page: any): void;
    reportContentErrorDetails(clientDetails: any): void;
    sendReportContentErrorDetails(mailContent: any): void;
}
